classification
Title: 'an ASCII string of one or more PEM-encoded certificates' needs to be unicode
Type: Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, mkleehammer, serhiy.storchaka, uzytkownik
Priority: normal Keywords:

Created on 2017-01-11 01:17 by uzytkownik, last changed 2020-05-31 13:29 by serhiy.storchaka. This issue is now closed.

Messages (2)
msg285176 - (view) Author: Maciej Piechotka (uzytkownik) Date: 2017-01-11 01:17
In documentation it is specified that cadata parameter in load_verify_locations is 'an ASCII string of one or more PEM-encoded certificates'. However the code is actually determining it based on PyUnicode_Check function so the 'ASCII string' actually needs to be unicode object. In Python 3 it seems to be fixed by checking by PyObject_GetBuffer.
msg370449 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-05-31 13:29
Python 2.7 is no longer supported.
History
Date User Action Args
2020-05-31 13:29:56serhiy.storchakasetstatus: open -> closed

nosy: + serhiy.storchaka
messages: + msg370449

resolution: out of date
stage: resolved
2017-09-06 19:44:41christian.heimessetcomponents: - SSL
2017-01-25 21:01:56mkleehammersetnosy: + mkleehammer
2017-01-11 01:17:40uzytkownikcreate